class TempMinRegion {
/*Cada fila de la matriz representa a una estacion y cada columna a un día del período*/
  private float [][] tabla;

   public TempMinRegion (int nEst,
                         int nDias)	{
   //Requiere nEst>0 y nDias >0
	tabla = new float[nEst][nDias];
   }
public int cantEstaciones () { 
  return tabla.length ;    
}
public int cantDias () { 
  return tabla[0].length ;    
}
public void establecerTemp(int e,int d,
                           float t){
/* Requiere  0<=e<cantEstaciones() 
y 1<=d<=cantDias() */
  tabla [e][d-1] = t ;    
}
public float obtenerTemp(int e,int d){ 
/* Requiere  0<=e<cantEstaciones() 
y 1<=d<=cantDias() */
  return tabla[e][d-1] ;    
}
public float contarMayores (float t) {  
/* Requiere  0<=e<cantEstaciones() */
int cont = 0;
for (int est=0;est<cantEstaciones();est++) 
  for (int dia=0;dia<cantDias();dia++)
    if (tabla[est][dia]> t) cont++; 
return cont;   
}
public float mayorPromedioRegion () {  
   
 float pEst;
 float mayor = promedioTempMin(0);
 for (int est=1;est<cantEstaciones();est++){
   pEst = promedioTempMin(est);
   if (pEst>mayor)
     mayor = pEst;
 }
 return mayor;   
}
private float promedioTempMin(int e) {  
   
   float suma = 0;
   for (int dia=0;dia<cantDias();dia++){
     suma = suma + tabla [e][dia];
   }
   return suma/cantDias();   
}
public float mayorTempDia (int d)  {  
//Requiere 1<=d<=cantDias()
 float mayor =  tabla[0][d-1];
 for (int est=1;est<cantEstaciones();est++)
   if (tabla[est][d-1] > mayor) 
     mayor =  tabla[est][d-1] ; 
 return mayor;
}
public int estacionesHeladas () {  
/*Cuenta la cantidad de estaciones
en las que heló*/

 int cont = 0; 
 for (int est=0;est<cantEstaciones();est++)
   if (huboHeladas (est))
      cont++;
   return cont ;   
}
private boolean huboHeladas (int e) {
/* Requiere  0<=e<cantEstaciones() */
   boolean helada = false;
   int dia=0; 
   while (dia < cantDias() && !helada){
     if ( tabla[e][dia]<0)
        helada = true;    
     dia++; 
    }
   return helada;   
}

}
